fop 1.1

## org.apache.fop.accessibility
Interface StructureTreeEventHandler

All Known Implementing Classes:
  DummyStructureTreeEventHandler, StructureTree2SAXEventAdapter

    public interface StructureTreeEventHandler

Receive notifications relating to the structure tree of an FO document. A structure tree is a reduced version of the document's FO tree, containing only the logical structure that is used by accessible output formats.

Method Summary
`void` `endNode(java.lang.String name)` Ends a structure tree node.
`void` `endPageSequence()` Ends a page sequence structure tree node.
`StructureTreeElement` `startImageNode(java.lang.String name, org.xml.sax.Attributes attributes)` Starts an image node.
`StructureTreeElement` `startNode(java.lang.String name, org.xml.sax.Attributes attributes)` Starts a structure tree node.
`void` `startPageSequence(java.util.Locale locale, java.lang.String role)` Starts a page sequence structure tree node.
`StructureTreeElement` `startReferencedNode(java.lang.String name, org.xml.sax.Attributes attributes)` Starts a node that can be referenced by other nodes.

Method Detail

### startPageSequence

    void startPageSequence(java.util.Locale locale,
                           java.lang.String role)

  Starts a page sequence structure tree node.

  Parameters:
    `locale` - The locale of the page sequence
    `role` - the value of the role property. May be null.

### startNode

    StructureTreeElement startNode(java.lang.String name,
                                   org.xml.sax.Attributes attributes)

  Starts a structure tree node.

  Parameters:
    `name` - the name of the structure tree node
    `attributes` - the node properties
  Returns:
    the corresponding structure tree element

### endNode

    void endNode(java.lang.String name)

  Ends a structure tree node.

  Parameters:
    `name` - the name of the structure tree node

### startImageNode

    StructureTreeElement startImageNode(java.lang.String name,
                                        org.xml.sax.Attributes attributes)

  Starts an image node.

  Parameters:
    `name` - the name of the structure tree node
    `attributes` - the node properties
  Returns:
    the corresponding structure tree element

### startReferencedNode

    StructureTreeElement startReferencedNode(java.lang.String name,
                                             org.xml.sax.Attributes attributes)

  Starts a node that can be referenced by other nodes. This is usually a node that can have Marked Content References as children.

  Parameters:
    `name` - the name of the structure tree node
    `attributes` - the node properties
  Returns:
    the corresponding structure tree element

### endPageSequence

    void endPageSequence()

  Ends a page sequence structure tree node.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.